# Prepare host

* create user like [this](https://git.wtf-eg.de/dancesWithCycles/setup/src/branch/main/doc/gnu-linux-create-user.md)

# GTFS source file

* checkout [repo](https://github.com/OneBusAway/onebusaway-gtfs-modules.git)
```
git@github.com:OneBusAway/onebusaway-gtfs-modules.git
```

* build tool
```
cd onebusaway-gtfs-modules
mvn clean package
```

ATTENTION: alternative download link for [onebusaway-gtfs-transformer-cli](http://developer.onebusaway.org/modules/onebusaway-gtfs-modules/1.3.4-SNAPSHOT/onebusaway-gtfs-transformer-cli.html)

* download GTFS data
```
wget -o ./wget-log-connect-ls-top-dhid.txt -O ./connect-ls-top-dhid.zip http://www.connect-info.net/opendata/gtfs/connect-nds-toplevel-dhid/<TOKEN>
```

* generate GTFS extract
```
mkdir <target folder>
java -Xms20G -server -jar onebusaway-gtfs-transformer-cl-<version>.jar --transform=./connect-ls-top-dhid-retain-bsag.txt connect-ls-top-dhid.zip <target folder>
```

* archive GTFS extract
```
zip -r connect-ls-top-dhid-retain-bsag.gtfs.zip bsag/
```

# OSM source file

* download osm extract for lower saxony
```
mkdir osm && cd osm
rm wget-log-niedersachsen
rm niedersachsen.osm.pbf
wget -o ./wget-log-niedersachsen -O niedersachsen-latest.osm.pbf http://download.geofabrik.de/europe/germany/niedersachsen-latest.osm.pbf
```

* get bounding box as CSV from [here](https://boundingbox.klokantech.com/)
```
8.415555,52.893073,9.034566,53.269949
```

* generate OSM extract for bsag
```
```

* later
```
mkdir otp && cd otp
mv ../connect-ls-top-dhid-retain-bsag.gtfs.zip .
```